defmodule FindRdap.MixProject do
  use Mix.Project

  def project do
    [
      app: :find_rdap,
      version: "0.1.0",
      elixir: "~> 1.9",
      start_permanent: Mix.env() == :prod,
      deps: deps()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:gettext] # Because of Timex
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:httpoison, "~> 1.8"},  # https://hexdocs.pm/httpoison/
      {:jason, "~> 1.2"}, # https://hexdocs.pm/jason/
      {:timex, "~> 3.0"} # https://hexdocs.pm/timex/
    ]
  end
end
